import { OnInit } from '@angular/core';
import { Storage } from '@bravobit/bb-foundation/storage';
import { BehaviorSubject } from 'rxjs';
export declare class BbDashboardSidebar implements OnInit {
    private _storage;
    visibilityChanges: BehaviorSubject<boolean>;
    private _state$;
    private _cache;
    private readonly _localStorageToken;
    constructor(_storage: Storage);
    ngOnInit(): void;
    registerGroup(id: string): import("rxjs").Observable<boolean>;
    unregisterGroup(id: string): void;
    toggleGroup(id: string, newValue: boolean): void;
    toggle(): void;
    open(): void;
    close(): void;
}
